Subject: Re: Closing sched MIB issues

From: Alan Luchuk <[email-masked]>
Date: Wed, 5 Apr 2000 12:05:51 -0400 (EDT)

Hello all,

I've shifted my brain out of "other project" mode and am now following 
(and (*gasp*) thinking about) DISMAN issues.  And of course, I'm timely
as always :-)

>> There were two issues that are not reflected in this ID:
>> 
>>    02: Can the SNMP manager modify CalendarGroup objects and
>>        schedInterval object when the schedRowStatus is in 'active'
>>        state?
>> 
>>        Strawman: schedInterval and friends can be changed even if
>>        schedRowStatus is active and schedAdminStatus and schedOperStatus
>>        are enabled.

I support the strawman.  I believe this is a correct operation from
an SNMP perspective; that is, generally one can change values in table 
rows when the rows are active.

>>    03: Clarification requires on multiple events in nonexistent times?
>> 
>>        Strawman: Add the following text below the last paragraph of
>>        section 3.4 in RFC 2591:
>> 
>>           This rule applies to all events scheduled for nonexistent
>>           time, regardless whether the scheduled events originate from
>>           one or multiple rows in the schedTable.
>> 
>> At least one WG member said that the behaviour regarding issue 03
>> should be configurable. And that is where discussion stopped, if I
>> remember right.
>> 
>> Bottom line: I think I know the edits for 02. I am not so sure with
>> regard to 03. (Personally, I prefer the strawman because making the
>> behaviour in this corner case configurable adds quite some complexity
>> which is hard to test.)

I also support this strawman for the reason stated above:  "making the
behaviour in this corner case configurable adds quite some complexity."

Regards,
--Alan
 
 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 865 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 865 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.snmp.com/
 -----------------------------------------------------------------------------

   Note:  Our area code changed to 865 from 423 in November.  If you have
   trouble reaching us via area code 865, please try the old area code (423) 
   and let us know.  Both area codes should work until April.